package com.weather.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.weather.entity.WeaFtpInfo;

import com.weather.mapper.WeaFtpInfoMapper;
import com.weather.service.IWeaFtpInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 产品存储ftp 服务实现类
 * </p>
 *
 * @author feng
 * @since 2023-09-05
 */
@Service
public class WeaFtpInfoServiceImpl extends ServiceImpl<WeaFtpInfoMapper, WeaFtpInfo> implements IWeaFtpInfoService {

    @Autowired
    private WeaFtpInfoMapper weaFtpInfoMapper;

    /**
     * 查询公告信息
     *
     * @param id 公告ID
     * @return 公告信息
     */
    @Override
    public WeaFtpInfo selectWeaFtpInfoById(Long id)
    {
        return weaFtpInfoMapper.selectWeaFtpInfoById(id);
    }



    /**
     * 查询公告列表
     *
     * @param ftpname 公告信息
     * @return 公告集合
     */
    @Override
    public List<WeaFtpInfo> selectWeaFtpInfoDim(String ftpname)
    {
        return weaFtpInfoMapper.selectWeaFtpInfoDim(ftpname);
    }
    /**
     * 查询公告列表
     *
     * @param weaFtpInfo 公告信息
     * @return 公告集合
     */
    @Override
    public List<WeaFtpInfo> selectWeaFtpInfoList(WeaFtpInfo weaFtpInfo)
    {
        return weaFtpInfoMapper.selectWeaFtpInfoList(weaFtpInfo);
    }

    /**
     * 新增公告
     *
     * @param weaFtpInfo 公告信息
     * @return 结果
     */
    @Override
    public int insertWeaFtpInfo(WeaFtpInfo weaFtpInfo)
    {

        return weaFtpInfoMapper.insertWeaFtpInfo(weaFtpInfo);
    }

    /**
     * 修改公告
     *
     * @param weaFtpInfo 公告信息
     * @return 结果
     */
    @Override
    public int updateWeaFtpInfo(WeaFtpInfo weaFtpInfo)
    {
        return weaFtpInfoMapper.updateWeaFtpInfo(weaFtpInfo);
    }

    /**
     * 删除公告对象
     *
     * @param id 公告ID
     * @return 结果
     */
    @Override
    public int deleteWeaFtpInfoById(Long id)
    {
        return weaFtpInfoMapper.deleteWeaFtpInfoById(id);
    }



}
